dpp::thread_pool_task
thread_pool.h
work_unit work_unit dpp::thread_pool_task::function function dpp::thread_pool_task::function

Work unit to execute as the task.

int int dpp::thread_pool_task::priority priority dpp::thread_pool_task::priority

Task priority, lower value is higher priority.

A task within a thread pool. A simple lambda that accepts no parameters and returns void.

dpp::thread_pool_task
priority
function
int
function< void()>
- dpp::thread_pool_task
  function
- dpp::thread_pool_task
  priority